This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 184608 - Misleading 'The Rename Refactoring cannot be applied in this context' dialog
Summary: Misleading 'The Rename Refactoring cannot be applied in this context' dialog
Status: VERIFIED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Unsupported (show other bugs)
Version: 6.x
Hardware: PC Windows XP
: P3 normal (vote)
Assignee: J Bachorik
URL:
Keywords:
Depends on:
Blocks: 173077
  Show dependency tree
 
Reported: 2010-04-21 12:33 UTC by Alexandr Scherbatiy
Modified: 2010-05-17 09:11 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
IDE screenshot (63.00 KB, image/png)
2010-04-21 12:42 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2010-04-21 12:33:23 UTC
NetBeans-JavaFX-Soma: #228

See the issue 183968

- Remove the NetBeans uderdir
- Run the NetBeans with JavaFX plugin
- Create the MediaBox sample  (New Project->Samples->JavaFX->Media Box)
- Open the com.sun.javafx.mediabox.Main file
- Select the MediaBox string in lne 'var mediaBox:MediaBox = MediaBox {'
  while the classpath scanning is in progress

The dialog  Information with message 'The Rename Refactoring cannot be applied in this context' appears.

The message is not correct because after the classpath scanning it is possible to rename the MediaBox class name.

The dialog should show something like "Wait for classpath scanning is finished."
Comment 1 Alexandr Scherbatiy 2010-04-21 12:42:53 UTC
Created attachment 97799 [details]
IDE screenshot
Comment 2 J Bachorik 2010-05-03 08:17:21 UTC
Fixed - http://hg.netbeans.org/javafx/rev/1d76d9d50afa
The check for broken platform doesn't need a compilation run.
Comment 3 Alexandr Scherbatiy 2010-05-17 09:11:35 UTC
verified in NetBeans-JavaFX-Soma: #253